Bug 1130610 - ABRT drops crash thread from huge backtrace due to size limits
Summary: ABRT drops crash thread from huge backtrace due to size limits
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8bf5e3a05b68746597ee180a443...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:22 UTC by lovyagin
Modified: 2016-12-20 12:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:50:31 UTC


Attachments (Terms of Use)
File: gd.7z (48.12 KB, application/octet-stream)
2014-08-15 16:22 UTC, lovyagin
no flags Details

Description lovyagin 2014-08-15 16:22:48 UTC
Description of problem:
I can't report a bug report. Fails with

Generating backtrace
Backtrace is generated and saved, 119223 bytes
Crash thread not found
cat: duphash: No such file or directory
Looking for similar problems in bugzilla
fatal: HTTP response code is 502, not 200

No processing for event 'report_Bugzilla' is defined

Version-Release number of selected component:
gnome-abrt-0.3.7

Additional info:
reporter:       libreport-2.2.3
kernel:         3.15.8-200.fc20.x86_64
type:           libreport

Comment 1 lovyagin 2014-08-15 16:22:50 UTC
Created attachment 927179 [details]
File: gd.7z

Comment 2 Jakub Filak 2014-08-16 19:44:00 UTC
Thank you for taking the time to report this issue! The crash you cannot report is a dupe of bug #1084909 and the dupe has been filed by ABRT, hence you hit a corner case issue. I took a look at your backtrace and it misses "Thread 1" and contains threads "33", "32", ... and each thread has at least 30 frames with many local variables. So I gues your backtrace doesn't contain "Thread 1" because ABRT truncated it due to size limits. We have to find a way how to restrict size of backtrace while preserving its usability (crash thread must not be dropped).

Comment 3 Fedora End Of Life 2015-05-29 12:38:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jan Kurik 2015-07-15 14:38:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Fedora End Of Life 2016-11-24 11:12:27 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 12:50:31 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.